Ubuntu

rtl8187 drops connection

Reported by Josh on 2008-01-13
This bug report is a duplicate of:  Bug #215802: rtl8187 link quality poor. Edit Remove
236
This bug affects 28 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Medium
linux (Ubuntu)
Medium
Unassigned
Nominated for Dapper by khunter
Nominated for Hardy by khunter
Nominated for Intrepid by Ant Somers
Nominated for Jaunty by khunter
Nominated for Karmic by khunter
Nominated for Lucid by khunter
lynx (Ubuntu)
Undecided
Unassigned
Nominated for Dapper by khunter
Nominated for Hardy by khunter
Nominated for Intrepid by Ant Somers
Nominated for Jaunty by khunter
Nominated for Karmic by khunter
Nominated for Lucid by khunter

Bug Description

I have a ASUS P5K motherboard with integrated wireless based on rtl8187. In Hardy (haven't tried other Ubuntu versions) the connection often suddenly fails, with the software not noticing anything.

Nothing is logged in dmesg or syslog except for (sometimes): WEP decrypt failed (ICV)
I have noticed this string also appears in the log at times when the interface does _not_ fail.

The computer continues on oblivious to the fact that it has just lost its network connection (networkmanager is not installed, but gnome's network monitor applet indicates a good connection). In fact, a wireshark dump indicates that the computer still thinks it is sending 802.11 frames, but monitoring from another computer (with a reliable wireless driver) indicates that nothing is being sent from the affected computer, even while the AP is chugging along trying to contact a host which has mysteriously dropped offline. I have noticed this problem across kernel images (2.6.24-3-generic and 2.6.24-4-generic to be specific). In one instance, I found that modprobing the module out and back in again fixed it, while another time this caused modprobe to use 100% CPU and become unresponsive, even to kill signals (Yeah, the kill -9 kind).

If any more information is necessary please ask and I'll do my best.

This also effects Intrepid Ibex/2.6.27-7-generic

Hi Josh,

Thank you for taking the time to report this bug and helping to make Ubuntu better. Per the kernel team's bug policy, can you please attach the following information. Please be sure to attach each file as a separate attachment.

* uname -a > uname-a.log
* cat /proc/version_signature > version.log
* dmesg > dmesg.log
* sudo lspci -vvnn > lspci-vvnn.log

For more information regarding the kernel team bug policy, please refer to https://wiki.ubuntu.com/KernelTeamBugPolicies . Thanks again and we appreciate your help and feedback.

Changed in linux:
status: New → Incomplete

There you go.

On 1/18/08, Leann Ogasawara <email address hidden> wrote:
>
> Hi Josh,
>
> Thank you for taking the time to report this bug and helping to make
> Ubuntu better. Per the kernel team's bug policy, can you please attach
> the following information. Please be sure to attach each file as a
> separate attachment.
>
> * uname -a > uname-a.log
> * cat /proc/version_signature > version.log
> * dmesg > dmesg.log
> * sudo lspci -vvnn > lspci-vvnn.log
>
> For more information regarding the kernel team bug policy, please refer
> to https://wiki.ubuntu.com/KernelTeamBugPolicies . Thanks again and we
> appreciate your help and feedback.
>
> ** Changed in: linux (Ubuntu)
> Status: New => Incomplete
>
> ** Tags added: rtl8187
>
> --
> rtl8187 drops connection
> https://bugs.launchpad.net/bugs/182473
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Josh (hashbrowncipher) wrote :

It appears launchpad doesn't accept emailed attachments. Anyway....

Very similar problem, with the exception that instead of getting the WEP decrypt error, (using WPA2) when the connection goes dead, (also with the applet showing excellent signal) in dmesg, I seem to get an endless stream of wlan0 CTS protection enabled / disabled's, (upon occasion, also see something about wlan0 being deauthorized, reason=3 or reason=7). Used to see IPv6 fails, as well, but disabled IPv6 to see if that helped, (thought it did, but then it continued). And, upon occasion, also see something about switching to Short [something] Preamble, (router set to Long).

[ 132.526741] wlan0: CTS protection disabled (BSSID=00:1e:2a:08:25:82)
[ 133.345307] wlan0: CTS protection enabled (BSSID=00:1e:2a:08:25:82)
[ 187.812953] wlan0: CTS protection disabled (BSSID=00:1e:2a:08:25:82)
[ 187.853896] wlan0: CTS protection enabled (BSSID=00:1e:2a:08:25:82)

Thanks for the log files. Just for future reference, if you could attach each file individually and not as a tarball it would be much appreciated. Thanks.

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Incomplete → Triaged
ChrisLees (christopher-lees) wrote :

Confirmed with the stock Gutsy kernel ( 2.6.22-14-generic ) on the same motherboard using the same driver. However I'm using WPA2.

Modprobing the driver in and out does seem to fix it for me, at least at the moment.

I don't get anything printed to dmesg except "wlan0: deauthenticate(reason=3)"; and this is sometimes up to 5 minutes after the connection has dropped. As with the original bug reporter, the system still thinks it's connected.

I have included my current dmesg. Some time before 9987, the connection went down. At 10578 I reloaded the correct driver.

Paul (kenny-paul) wrote :

I've am experiencing the same behavior with a different motherboard (cheap Hasee laptop) which uses the same rtl8187 chipset. If you think I can provide any useful information let me know what you need.

Jecos (jeremy-costen) wrote :

This also happens when there is no encryption used. It will connect for a minute then drop and you have to reload the driver. Did this driver actually work when it was included in 2.6.23 or was it the same unstable mess?

Using:
Hardy 32bit

Martin (martin-zdila) wrote :

hello

i have the same problem with gutsy, RaLink RT2561/RT61 rev B 802.11g - the same messages in dmesg an connection is dropped.

it is a pcmcia card and linux freezes completely if i pull it out of the slot.

ishaw (ianshawtesol) wrote :

Same symptoms, similar laptop as above too I guess - Hasee W220R.

I'm using Ubuntu 2.6.22-14.52-generic.

To get it back up, do:

rmmod rtl8187
modprobe rtl8187
/etc/init.d/networking restart

...at a terminal. (Actually I have this saved as a shell script now!) Better than restarting the computer...

Anecdotally, just firefox browsing tends to work ok, bittorrent (deluge) fairly reliably kills it within ten to fifteen minutes.

Thanks!

ishaw (ianshawtesol) wrote :

Same symptoms, similar laptop as above too I guess - Hasee W220R.

I'm using Ubuntu 2.6.22-14.52-generic.

To get it back up, do:

rmmod rtl8187
modprobe rtl8187
/etc/init.d/networking restart

...at a terminal. (Actually I have this saved as a shell script now!) Better than restarting the computer...

Anecdotally, just firefox browsing tends to work ok, bittorrent (deluge) fairly reliably kills it within ten to fifteen minutes.

Thanks!

ishaw (ianshawtesol) wrote :

Here's more info.

Sorry about the double post, I lost connection between hitting save and getting the page back!

anguzito (jeferson-3) wrote :

I'm with the same problems, and i still haven't found a fix to this drop connection of the rtl8187..

Can anyone help?

Thanks!

Murkin Martinez (mrkn) wrote :

Same issue as original poster using same motherboard. Asus P5K-E Wifi. Seems like it happens on the hour when some kind of cron job kicks off. just a guess. I'll check again at 23:24 or so. The connection did come back by itself after about 9 minutes or so.

/USR/SBIN/CRON[24398]: (root) CMD ( cd / && run-parts --report /etc/cron.hourly)

I copied log info from the system log viewer from when I logged in (21:15) until the network connection went missing (thought didn't show as dropped) at about 22:15. Then at 22:24, the connection reset itself. i put each type into its own file and changed my computer name to "computer-name" and username to "user-name". I know you didn't ask for it before, but hopefully it helps out.

Also, I'm using Transmission (the torrent app). Wonder if that has something to do with it. I am using Wicd instead of Network Manager in the hopes that would help, but... no luck. I'd be willing to go back to Network Manager now that I know it didn't make any difference.

Murkin Martinez (mrkn) wrote :
Murkin Martinez (mrkn) wrote :
Murkin Martinez (mrkn) wrote :
Murkin Martinez (mrkn) wrote :
Murkin Martinez (mrkn) wrote :
Murkin Martinez (mrkn) wrote :
Murkin Martinez (mrkn) wrote :
Murkin Martinez (mrkn) wrote :
Murkin Martinez (mrkn) wrote :
Murkin Martinez (mrkn) wrote :

Well, the connection has yet to drop. Not sure what's going on! The cron job I mentioned previously did go through, but no error messages in any log file except for the auth.log.

Apr 26 23:17:01 computer-name CRON[9602]: PAM unable to dlopen(/lib/security/pam_smbpass.so)
Apr 26 23:17:01 computer-name CRON[9602]: PAM [error: /lib/security/pam_smbpass.so: cannot open shared object file: No such file or directory]
Apr 26 23:17:01 computer-name CRON[9602]: PAM adding faulty module: /lib/security/pam_smbpass.so
Apr 26 23:17:01 computer-name CRON[9602]: pam_unix(cron:session): session opened for user root by (uid=0)
Apr 26 23:17:01 computer-name CRON[9602]: pam_unix(cron:session): session closed for user root
Apr 26 23:40:02 computer-name sudo: PAM unable to dlopen(/lib/security/pam_smbpass.so)
Apr 26 23:40:02 computer-name sudo: PAM [error: /lib/security/pam_smbpass.so: cannot open shared object file: No such file or directory]
Apr 26 23:40:02 computer-name sudo: PAM adding faulty module: /lib/security/pam_smbpass.so

Murkin Martinez (mrkn) wrote :

The network connection was lost around 00:30, though I can't be sure exactly what time that happened. None of the logs display messages from that time period, other than "MARK" or, in the auth.log, there are some references to the PAM errors posted above. I ended up shutting the system down rather than wait for it to reconnect.

Steven Ketelsen (podfish) wrote :

so, doing some research on the rtl8187 driver, it appears that it depends on the stuff that comes in the mac80211 kernel module. About an hour after inserting the module, I'm experiencing zero degradation of signal/packet loss.

Can this be verified by someone else?

Here's my stats:

uname -a: Linux pitchblende 2.6.24-16-generic #1 SMP Thu Apr 10 12:47:45 UTC 2008 x86_64 GNU/Linux
/proc/version_signature: Ubuntu 2.6.24-16.30-generic

larger output attached: dmesg.log, lspci.log, lsusb.log

Steven Ketelsen (podfish) wrote :
Steven Ketelsen (podfish) wrote :
Murkin Martinez (mrkn) wrote :

Hi Steven,
Would you do me the favor of walking me through inserting the mac80211 kernel module? Is there a URL that might be helpful?
Thanks,

Murkin

Steven Ketelsen (podfish) wrote :

hello!

first, make sure it's not already present by doing this:

     $ sudo lspci | grep mac80211

if you get output, then it's already present and I'm just a moran.

If you don't get output, then it's not working, and you can just type

     $ sudo modprobe mac80211

and you'll be good to go.

SK

Murkin Martinez (mrkn) wrote :

I wasn't able to get on until today. lspci does not show mac80211 or rtl8187. In fact, there's no entry for my wireless card in there at all. Where is it hiding!? after running modprobe, i do see both listed as currently running modules though.

Doing a "modprobe -c | grep mac80211" returns tons of entries now, though modprobe -c | grep rtl8187 only returns a handful.

alias usb:v0DF6p000Dd*dc*dsc*dp*ic*isc*ip* rtl8187
alias usb:v03F0pCA02d*dc*dsc*dp*ic*isc*ip* rtl8187
alias usb:v0846p6A00d*dc*dsc*dp*ic*isc*ip* rtl8187
alias usb:v0846p6100d*dc*dsc*dp*ic*isc*ip* rtl8187
alias usb:v0BDAp8187d*dc*dsc*dp*ic*isc*ip* rtl8187

There are also six rtl8150 entries.

Anyway, I haven't been on long enough to know if your suggestion works. Have you been having any luck? Have the issues returned since you began inserting the mac80211 module? Lastly, if this does work out, how to I enable this module to load every time?

Thanks again,

Murkin

Steven Ketelsen (podfish) wrote :

As I stated before, I'm a moran. I'm still having similar issues, and eventually things grind to a halt--just not as fast. The only thing that I've changed is blacklisting the ipv6 module--that's it--and I'm having better but not perfect results. Eventually, i get a really nasty hang where I can't open any terminals or run any commands, or basically do anything except manipulate already-open windows on the desktop.

My suggestion about the mac80211, was, i believe, a red herring.

The monkey is not pleased.

SK

Greg King (greg-james-king) wrote :

The wireless card that you are using is actually over the usb interfaces (I've got this same issue). Try using lsusb -v.

jcar87 (julius87) wrote :

Shouldn't "lsmod | grep mac80211" work to check if that module is loaded?

I also have the motherboard asus p5k-e wifi and I'm also having problems with the wifi, on ubuntu 8.04 (64-bit). However, the wifi drops are not as frequent as they used to be just after the installation, which is a good thing. But they still happen, and some times when I try to load the module again, it hangs there, and I'm unable to kill the modprobe process.

I also have the "CTS protection enabled" (or disabled) messages in dmesg.

Zgth (zygoth) wrote :

I have a 32-bit Hardy Heron Server Edition running on Asus P5W DH Deluxe (which, I believe, has the same RTL8187-based WiFi module), and I'm facing the same problem. Immediately after I do ifup the connection is present, and I can ping the machine from other computers, but in a few minutes after that the link drops.

twu026 (twu026) wrote :

I have the same issue with many of the posters here. I have a P5K-E/WIFI-AP motherboard (which uses the rtl8187) and my wireless connection drops out about 5 to 10 mintues after I boot into Ubuntu 8.04 LTS (32-bit).
Funny thing is that my wireless was working flawlessly (for several hours) when I first installed Hardy, but now I am lucky to get a couple of webpages to open before the wireless drops out.

twu026 (twu026) wrote :

I should add that I am using WPA encryption. Also, when I boot into XP the wireless works fine so it has nothing to do with a weak signal, faulty router etc.

AC (alex-coady) wrote :

I am also affected by this bug on Ubuntu 8.04 x86 (32-bit). My external (USB) rtl8187-based wireless frequently drops the connection (WPA) and Network Manager fails to indicate this (but the Sent/Recieved count doesn't increase) or goes to connected, but 0% connection, or goes to 100% connection but little orange triangle warning icon.

The way to fix it involves randomly (no pattern to what will work) doing the following:

- Removing the USB stick and reconnecting
- Unloading and reloading the rtl8187 kernel module
- Unticking and ticking the connection in Network Manager forcing a reconfiguration
- Restarting the computer

My connection works perfectly in a Vista installation on the same machine.

vervelover (alessiopangos) wrote :

Same bug here on a Hasee laptop, very annoying, I attached some files.

vervelover (alessiopangos) wrote :
Kyle M Weller (kylew) on 2008-10-12
description: updated
Changed in linux:
status: Unknown → Confirmed
Changed in linux:
status: Confirmed → Incomplete
Changed in linux:
status: Incomplete → Invalid
133 comments hidden view all 213 comments
Vit Svarc (vs-pb) wrote :

Hi. I gave up more testing with this chip. As you can see, this bug is here more then year and half, still with the same results. So I bought other wireless board which working perfectly.

Thank you, I think we should all do that, kind of sad though.

panurge77 (crassico) wrote :

Or you can try Fedora 11, which seems to work for me...

On Mon, Jun 8, 2009 at 5:32 PM, Eugenio Cano-Manuel <
<email address hidden>> wrote:

> Thank you, I think we should all do that, kind of sad though.
>
> --
> rtl8187 drops connection
> https://bugs.launchpad.net/bugs/182473
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

ignorant (hahampis) wrote :

For me it's working perfectly since kernel 2.6.27-13. Everyone has different experience, but we must not forget that we are dealing with wireless networks here, unreliable and unpredictable by nature. A lot of things can influence the performance of the wireless device, distance from the access point, physical hurdles in between etc. So before we put the blame to the linux driver, we should always compare with the performance in the Windows environment to confirm that we are indeed affected by a bug and not by bad antenna position or anything else. Have a nice evening.

Oh, Im sorry, I did not mean to blame linux drivers, its just that I was hoping that it would get fixed someday near. Windows works fine with this one so I am sure its a bug although its true some people have reported fully working wireless connection therefore it must be something else. Thank you for your time.

Jim Lieb (lieb) wrote :

There have been a number of fixes to this driver since the last testing for this bug. Can you confirm this issue exists with the most recent Jaunty Jackalope 9.04 release - http://www.ubuntu.com/news/ubuntu-9.04-desktop . If the issue remains in Jaunty, Please also try the Alpha release of Karmic.

Please report back both success(es) and failures. If it fails, run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux-image-2.6.28-11-generic <bug #>

Note: use this bug number and the latest kernel you tried.

If you could also test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine this issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
ignorant (hahampis) wrote :

I tested Karmic Alpha 2 (kernel 2.6.30-8) via liveCD (actually it was a USB stick :) ). The driver reports stronger signal, it went from 15% in Jaunty to 65% in Karmic, although I 'm not really sure whether this really means anything or they just changed the method of measurement. Connection seems more stable, e.g. temporary disconnects in OpenArena last shorter ;) .Not that I have any serious problems in Jaunty. I will also check with Skype.

ChrisLees (christopher-lees) wrote :

I'm not being offered a 2.6.30 kernel - the latest I've got is 2.6.28-12 (jaunty).

I've found that:

1. Manually decreasing the wireless speed does increase the data rate (maximum 12mbps is not really good enough for what I want to do though)

2. Uploading data to my home server will kill the connection very quickly - usually within a minute. The Ubuntu ISOs are a good test. This confirms what others were saying about peer-to-peer software killing the connection - it's the uploads, not the downloads.

I now have Homeplug so I don't have to live with this, but I'll test what I can.

Rocko (rockorequin) wrote :

@ChrisLees: If you want to try a more recent kernel in Jaunty, you can do so manually by going to http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.30/, which has the 2.6.30 kernel deb packages, eg if you are running 32-bit Ubuntu:

 linux-image-2.6.30-020630-generic_2.6.30-020630_i386.deb
 linux-headers-2.6.30-020630-generic_2.6.30-020630_i386.deb
    linux-headers-2.6.30-020630_2.6.30-020630_all.deb

Install them with "sudo dpkg -i <name of deb package>".

[This is an automated message. Apologies if it has reached you inappropriately.]

This bug was flagged as having a patch attached. The Ubuntu Kernel Team's preferred policy is for all patches to be submitted and accepted into the upstream kernel before agreeing to merge them into the Ubuntu kernel. The goal for the Ubuntu kernel is to have little to no divergence from the upstream linux kernel source.

https://wiki.ubuntu.com/KernelTeam/KernelPatches has been written to document the suggested policy and procedures for helping get a patch merged upstream and subsequently into the Ubuntu kernel. Please take the time to review that wiki if this patch should be considered for inclusion into the upstream and Ubuntu kernel. Let us know if you have any questions or need any help via the Ubuntu Kernel Team mailing list. Thanks in advance.

tags: added: kj-comment
removed: cft-2.6.27
Bryan Wu (cooloney) wrote :

Unfortunately it seems this bug is still an issue. Can you confirm this issue exists with the Karmic Alpha 9.10 release. Images for testing are available at http://cdimage.ubuntu.com/daily-live/current/ . Please let us know your results.

If the issue remains while still running Karmic, please run the following command which will automatically gather and attach updated debug information:

apport-collect -p linux <bug #>

Thanks in advance.

Architecture: i386
DistroRelease: Ubuntu 9.10
HibernationDevice: RESUME=UUID=a26d0aad-44a2-4c51-925f-64163fb9524f
MachineType: SAMSUNG ELECTRONICS CO., LTD. N120
Package: linux (not installed)
ProcCmdLine: BOOT_IMAGE=/vmlinuz-2.6.31-4-generic root=UUID=dcf67ff3-89e1-48b1-9c00-b35dfcb5db57 ro usbcore.autosuspend=1
ProcEnviron:
 SHELL=/bin/bash
 LANG=sv_SE.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-4.23-generic
RelatedPackageVersions: linux-backports-modules-2.6.31-4-generic N/A
Uname: Linux 2.6.31-4-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 04/24/2009
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: 04CE.M018.20090424.RHU
dmi.board.name: N120
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvr04CE.M018.20090424.RHU:bd04/24/2009:svnSAMSUNGELECTRONICSCO.,LTD.:pnN120:pvrNotApplicable:rvnSAMSUNGELECTRONICSCO.,LTD.:rnN120:rvrNotApplicable:cvnSAMSUNGELECTRONICSCO.,LTD.:ct10:cvrN/A:
dmi.product.name: N120
dmi.product.version: Not Applicable
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: apport-collected
9 comments hidden view all 213 comments

Whoa, apport-collect sure collects a lot of stuff. Anyhow, I'm using a Netgear WG111v3, USB adapter on karmic 2.6.31-4-generic. This problem doesnt happen often, but seems to happen when doing heavy downloads like apt-related tasks.

Since you're using a 32 bit os. The ndiswrapper will work for you. Go
to netgears website and download their oldest drivers for the device
and tell ndiswapper to use the Win98 driver. You may have to blacklist
the rtl8187 driver.

Sent from my iPhone

On Jul 28, 2009, at 5:53 AM, Andreas Berger
<email address hidden> wrote:

> Whoa, apport-collect sure collects a lot of stuff. Anyhow, I'm using a
> Netgear WG111v3, USB adapter on karmic 2.6.31-4-generic. This problem
> doesnt happen often, but seems to happen when doing heavy downloads
> like
> apt-related tasks.
>
> --
> rtl8187 drops connection
> https://bugs.launchpad.net/bugs/182473
> You received this bug notification because you are a direct subscriber
> of the bug.

Changed in linux (Ubuntu):
status: New → Confirmed

sudo iwconfig wlan0 power on
sudo iwconfig wlan0 rate 5.5M fixed

arpl (aris-plakias-gmail) wrote :

Latest patch from kernel.org(2.6.31 patch20090923) seems to fix the "transmission power problem"(Before this patch when i boot i hear X networks and after a while i hear less than X networks) Its now fixed!!! It also has effective(affective?) rf_switch(the thing that toggles wireless on/off). This far from a serious report but anyway this is it! Bye and cu around!

khunter (obsolete-fax) wrote :

I have ALFA AWUS036H: 802.11b/g 500mW USB Adapter.

It has Realtek RTL8187 chip.

This Wifi card can pick up more wireless networks (and higher signal) than your ordinary Wireless Card (tested on Win XP SP3). On Ubuntu 9.04 Desktop the signal is very weak.

On Ubuntu 9.04 Desktop, by default it uses a WRONG driver.

There has to be a way to uninstall this Wrong driver?

Have you tried this?

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/182473/comments/64

Regards,

Gerson.

On Tue, Oct 20, 2009 at 2:22 AM, khuner <email address hidden> wrote:

> I have ALFA AWUS036H: 802.11b/g 500mW USB Adapter.
>
> It has Realtek RTL8187 chip.
>
> This Wifi card can pick up more wireless networks (and higher signal)
> than your ordinary Wireless Card (tested on Win XP SP3). On Ubuntu 9.04
> Desktop the signal is very weak.
>
> On Ubuntu 9.04 Desktop, by default it uses a WRONG driver.
>
> There has to be a way to uninstall this Wrong driver?
>
> --
> rtl8187 drops connection
> https://bugs.launchpad.net/bugs/182473
> You received this bug notification because you are a direct subscriber
> of the bug.
>

tags: added: iso-testing
Michael Jensen (emjay1988) wrote :

This bug still causes issues on 9.10 karmic. The wifi signal drops out after a while of being connected and while connected the system seems to hang intermittently for no reason. While hanging, the active application (usually firefox for me) "greys out", but the CPU load (according to the System Monitor) does not increase.

I tried to apply the patch found at the aircrack-ng website, but the build failed (I presume that's due to Karmic having a new kernel).

If there's been any changes, I'd be happy to try out patches and etc.

keidesu00 (eugeniocanom) wrote :

I'm using 2.6.32 kernel now and I can confirm that the issue is still there, firefox keeps "looking up", downloads freeze for a while and connection speed stays around 100 kb/s (low for my connection speed) . By the way, as arpl said, the on/off switch now works.

ap0litist0s (apolitistosgr) wrote :

I am using ubuntu 9.10 with rtl8187 chipset usb and still having problems disconecting after a few minutes need to rebbot or unplag the device and that sometimes doesen't work eather.
what suld i do to get a solid conection plz?
email me at <email address hidden>

khunter (obsolete-fax) wrote :

Works for me on Ubuntu 9.10.

I have ALFA AWUS036H: 802.11b/g 500mW USB Adapter.

It has Realtek RTL8187 chip.

khunter (obsolete-fax) wrote :

I mean it works fine Out of the Box on Ubuntu 9.10...

callius (callius) wrote :

This bug affects me as well (same Motherboard as OP) in 10.04.

Nigel Babu (nigelbabu) wrote :

Closing the wrong lynx task

Changed in lynx (Ubuntu):
status: New → Invalid
Seth Forshee (sforshee) wrote :

I wonder if this issue (the issues still seen in recent releases at least) might have the same root cause as this one:

http://bugs.launchpad.net/bugs/215802

I've provided some test kernels for lucid and maverick that have shown good results so far. Any testing to see whether they help with the problems reported here would be appreciated.

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/215802/comments/67

Andy Whitcroft (apw) wrote :

Could those of you affected please test out the kernels Seth referred to in comment #208 and report back here. Thanks!

Changed in linux (Ubuntu):
status: Confirmed → Incomplete

I've been testing for a couple of days in Maverick and it seems a big
improvement. No disconnection or transfer bitrate fall at the moment.

Thanks for your work,

On Tue, Jan 25, 2011 at 11:29 AM, Andy Whitcroft <email address hidden> wrote:
> Could those of you affected please test out the kernels Seth referred to
> in comment #208 and report back here.  Thanks!
>
> ** Changed in: linux (Ubuntu)
>       Status: Confirmed => Incomplete
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/182473
>
> Title:
>  rtl8187 drops connection
>

Changed in linux:
importance: Unknown → Medium
Seth Forshee (sforshee) wrote :

It sounds like this is the same as bug #215802, so I'm going to mark this one as a duplicate. As noted there, the fix for this issue will come via backports-modules-wireless after v2.6.38 final is released.

Changed in linux (Ubuntu):
status: Incomplete → In Progress
Displaying first 40 and last 40 comments. View all 213 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.